# class DataView

#### package js.html

#### extends ArrayBufferView

Available on HTML5

### Constructor

###

`new (buffer:ArrayBuffer, ?byteOffset:Int, ?byteLength:Int)`

Throws:

`null` | DOMError

### Methods

###

`getFloat32 (byteOffset:Int, ?littleEndian:Bool):Float`

###

`getFloat64 (byteOffset:Int, ?littleEndian:Bool):Float`

###

`getInt16 (byteOffset:Int, ?littleEndian:Bool):Int`

###

`getInt32 (byteOffset:Int, ?littleEndian:Bool):Int`

###

`getInt8 (byteOffset:Int):Int`

###

`getUint16 (byteOffset:Int, ?littleEndian:Bool):Int`

###

`getUint32 (byteOffset:Int, ?littleEndian:Bool):Int`

###

`getUint8 (byteOffset:Int):Int`

###

`setFloat32 (byteOffset:Int, value:Float, ?littleEndian:Bool):Void`

###

`setFloat64 (byteOffset:Int, value:Float, ?littleEndian:Bool):Void`

###

`setInt16 (byteOffset:Int, value:Int, ?littleEndian:Bool):Void`

###

`setInt32 (byteOffset:Int, value:Int, ?littleEndian:Bool):Void`

###

`setInt8 (byteOffset:Int, value:Int):Void`

###

`setUint16 (byteOffset:Int, value:Int, ?littleEndian:Bool):Void`

###

`setUint32 (byteOffset:Int, value:Int, ?littleEndian:Bool):Void`

###

`setUint8 (byteOffset:Int, value:Int):Void`

### Inherited Variables

#### Defined by ArrayBufferView

###

`read onlybuffer:ArrayBuffer`

###

`read onlybyteLength:Int`

###

`read onlybyteOffset:Int`

### Inherited Methods